<?php

/**
 * @file
 * Default theme implementation to display a term.
 *
 * Available variables:
 * - $name: (deprecated) The unsanitized name of the term. Use $term_name
 *   instead.
 * - $content: An array of items for the content of the term (fields and
 *   description). Use render($content) to print them all, or print a subset
 *   such as render($content['field_example']). Use
 *   hide($content['field_example']) to temporarily suppress the printing of a
 *   given element.
 * - $term_url: Direct URL of the current term.
 * - $term_name: Name of the current term.
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions. The default values can be one or more of the following:
 *   - taxonomy-term: The current template type, i.e., "theming hook".
 *   - vocabulary-[vocabulary-name]: The vocabulary to which the term belongs to.
 *     For example, if the term is a "Tag" it would result in "vocabulary-tag".
 *
 * Other variables:
 * - $term: Full term object. Contains data that may not be safe.
 * - $view_mode: View mode, e.g. 'full', 'teaser'...
 * - $page: Flag for the full page state.
 * - $classes_array: Array of html class attribute values. It is flattened
 *   into a string within the variable $classes.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the term. Increments each time it's output.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see template_preprocess()
 * @see template_preprocess_taxonomy_term()
 * @see template_process()
 *
 * @ingroup themeable
 */
?>
<?php //print render($content); ?>
<header>

    <?php if (!empty($page['logo'])):  ?>
          <?php print render($page['logo']); ?>
    <?php endif; ?>

    <?php if (!empty($page['menu'])):  ?>
          <section class='headerWrapper centerAligner'>
            <section class='mainNav'>
              <a href='#sidr' class='menuOpener'></a>
              <nav>
                <?php print theme('links__system_main_menu', array('links' => $main_menu)); ?>
              </nav>
            </section>
          </section>
    <?php endif; ?>

    <?php if (!empty($page['cart_teaser'])):  ?>
          <?php print render($page['cart_teaser']); ?>
    <?php endif; ?>

  </header>
<script src="<?php print $base_path.path_to_theme(); ?>/js/browserselector.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery-1.9.1.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.validate.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jpreloader.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/imagesloaded.pkgd.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/isotope.pkgd.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.sliderPro.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.sidr.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/packery-mode.pkgd.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/owl.carousel.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/functions.js"></script>
<script type="text/javascript">
$("section.copyright").find("p").addClass("fl one_third");
$("section.copyright").find("p").first().addClass("center");
</script>
