// JavaScript Document

/* ========= 
	
	The following is a table of content for the javascript functionality of the samsung jaza 50 site

	* 1.showOverlay() - This function checks if the overlay is visible and then toggle the visibility of the overlay when called
	
	* 2.checkIfWebkit() - This function checks if the current browser is webkit and sets the property is webkit to true otherwise sets it to false
	
	* 3.openMobileMenu() - This function is used to open the navigation menu when the user clicks on the menu opener
	
	* 4.closeMobileMenu() - This function closes the open mobile menu
	
	* 5.getScrollTopOfContent() - Populates the featurePositionArray with values of all the feature containers with the offset top of the section to allow for dynamic allocation of menu and parallax positioning of images
	
	* 6.changeActiveLink() - Uses the offset top of all the sections to change the current link on the main header of the site to match the category.
			- It also activates the parallaxScrolling() function which takes the current index of the array that you are working with in order to determine the image that it will use to create the parallax effect.
			-
	* 7.indexParallaxImages() - This function sets a class of parallax_$ to all the images that are to be used for the parallax effect
	
	* 8.parallaxScrolling(parallaxIndex) - This function is responsible for determining the current image to be used as the current and previous image for the parallax effect as well as the animation and sequencing of the image
	
	* 9. showMemorableMomentsContainer() - This function is called when as user clicks on the add a memorable moment button and shows the overlay that allows the user to add their favorite moment in history
	
	* 10. closeMemorableMoment() - This function closes the add year overlay and resores timeline section
	
	* 11. showReadMoreInformation() - This function is used to show the readmore overlay when a user clicks on the read more button
			- It clones the yearhodlers on teh current timeline 
			- Then it dynamically injects the content in the left row into a container that is positioned absolutely based on the offset top the current left row.
			- It then shows the timeline in an overlay that will style the copied timeline elements	
	* 12. cloneYearPlaceHolder() - Function clones all the year holder classes and places then in the timeline overlay
	
	* 13. updateWebkitOverlayYearHolder() - This function updates the position of the overlay year holders on scroll so as to balance out the position of the uper and lower timelines in the chrome browser due to the 3d effect
	
	* 14. closeMoreInformation() - This function closes the readmore overlay
	
	* 15. showSubmittedMoments() - This function is called when the notifications on the right menu timeline to show all the posts on the right timeline
	
	* 16. removeYearSelectedClass() - remove the yearHolder selected class when the overlay is closed
	
	* 17. createTimelinePointers() - This functions adds spans that are styled using css to create the left, top , right and bottom indicators.
	
	* 18 scrollNextFeatureSection() - When user clicks on the bottom button it will scrool to the next section of the site.
	
	*
	*

 =========== */

$(document).ready(function(){
	
	hideAllOverlayImages();
	
	
	$('body').jpreLoader({
			
			showSplash:false,
			autoClose:true,
			loaderVPos: '50%'
				
	},function(){
		initializeMap();
	});
   
   var windowWidth = $(window).width();
	

	$(window).resize(function(){ 
		
		windowWidth = $(window).width();
		
	});

	function initializeMap(){

		$("map area").hover(showHotspotImage,hideHotspotImage);
	
	}

	




	/* ========= GENERAL FUNCTIONS =========== */

	
	/* ========= INDEX PAGE FUNCTIONLIATY PENTAGON CYCLE =========== */
	function hideAllOverlayImages(){
				
			$(".imageWrapper .imageMapContent img:not(.bluebg)").fadeOut(20);	
			
	}
	
	
	$("map area").hover(showHotspotImage,hideHotspotImage);
	
	var imageToshow = "" ;
	
	function showHotspotImage(){
			
			if(windowWidth > 1280){

				imageToShow = $(this).attr("title");
				$(".imageWrapper .imageMapContent img."+imageToShow).stop().fadeTo(1000,1);

			}

			

		
	}
	
	function hideHotspotImage(){
			

			if(windowWidth > 1280){

				$(".imageWrapper .imageMapContent img."+imageToShow).stop().fadeTo(1000,0);

			}

			
			//$(".imageWrapper .imageMapContent img").clearQueue();
				
	}

	/* ========= END INDEX PAGE FUNCTIONLIATY PENTAGON CYCLE =========== */
	
	

	
	
});